//	q3map_sun 1 1 .9 50 300 75
//	q3map_sun 1 1 .8 75 15 80
//	q3map_sun 1 1 .9 100 40 75

// was 300 82

textures/ut4_superman_b4/duck_supermansky
{
	qer_editorimage textures/ut4_superman_b4/daysky_ft.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt .9 .9 1 800 40 82 .5 16
	q3map_skylight 200 4
	skyparms env/wilyduck/daysky - -
}




textures/ut4_superman_b4/duck_flypoint
{
	qer_editorimage textures/ut4_superman_b4/duck_green_arrow.tga
	q3map_surfacelight 100
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes autosprite2
	qer_trans 0.5
	cull none
	{
		map textures/ut4_superman_b4/duck_green_arrow.tga
		blendfunc gl_src_color gl_one
		tcMod scroll 0 2.3
		alphaFunc GE128
	}
	{
		map textures/ut4_superman_b4/duck_green_arrow.tga
		blendfunc filter
		tcMod scroll 0 4
		alphaFunc GE128
	}
}



textures/ut4_superman_b4/bricks1
{
	qer_editorimage textures/ut4_superman_b4/bricks.tga
	{
		map textures/ut4_superman_b4/bricks.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
	}
}


// noimpact
textures/ut4_superman_b4/bricks2
{
	qer_editorimage textures/ut4_superman_b4/bricks.tga
	surfaceparm nodamage
	{
		map textures/ut4_superman_b4/bricks.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
	}
}




textures/ut4_superman_b4/reflect_glass
{
	surfaceparm alphashadow
	surfaceparm nolightmap
	surfaceparm trans
	sort additive
	portal
	qer_trans 0.5
	q3map_surfacelight 50
//	q3map_backshader textures/ut4_superman_b4/shiny_glass1

//	{
//		map textures/ut4_superman_b4/duck_transparent.tga
//		blendfunc filter
//	}

	{
		map textures/ut4_superman_b4/tinfx.tga
		depthwrite
		tcGen environment
		blendfunc filter
	}
}


textures/ut4_superman_b4/shiny_glass1
{
	qer_editorimage textures/ut4_superman_b4/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm alphashadow
	cull none

	{
		map textures/ut4_superman_b4/tinfx.tga
		tcGen environment
		blendfunc filter
	}
}


textures/ut4_superman_b4/shiny_glass2
{
	qer_editorimage textures/ut4_superman_b4/tinfx.tga
	qer_trans 0.5
	q3map_surfacelight 50
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm alphashadow

	{
		map textures/ut4_superman_b4/tinfx.tga
		tcGen environment
		blendfunc filter
	}
}

textures/ut4_superman_b4/duck_greenmarble_floor
{
	qer_editorimage textures/ut4_superman_b4/will_marble_floor.tga
	q3map_surfacelight 30

	{
		map textures/ut4_superman_b4/will_marble_floor.tga
		rgbgen identity
	}
	{
		map textures/ut4_superman_b4/will_marble_floor.tga
		tcmod scale .75 .75
		tcgen environment
		blendfunc gl_zero gl_src_color
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}


textures/ut4_superman_b4/water_glass1
{
	qer_editorimage textures/ut4_superman_b4/duck_pool2.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm alphashadow

	{
		map textures/effects/tinfx.tga
		tcGen environment
		blendfunc gl_src_color gl_one
	}
	{
		map textures/ut4_superman_b4/duck_pool2.tga
		blendfunc add
		tcMod scroll .0.05 -0.3
	}
	{
		map textures/ut4_superman_b4/duck_pool2.tga
		blendfunc add
		tcMod scroll 0.05 -0.8
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
	}
}

//shader taken from realworld_light
textures/ut4_superman_b4/ceiling_light
{
	qer_editorimage textures/ut4_superman_b4/ceiling_light1.tga
	surfaceparm nolightmap

	q3map_lightimage textures/realworld_light/flouresc.tga
	q3map_surfacelight 5000

	{
		map textures/ut4_superman_b4/ceiling_light1.tga
	}
}


textures/ut4_superman_b4/flouresc_light
{
	qer_editorimage textures/ut4_superman_b4/ceiling_light1.tga
	q3map_surfacelight 5000
	q3map_lightimage textures/realworld_light/flouresc.tga
	surfaceparm nolightmap

	{
		map textures/ut4_superman_b4/white_light.jpg
		rgbGen identity
	}
}


textures/ut4_superman_b4/portal_camera
{

	qer_editorimage textures/ut4_superman_b4/security_monitor.tga
	q3map_lightimage textures/ut4_superman_b4/ugly_green.jpg
	q3map_surfacelight 1200
	portal
	surfaceparm nolightmap


	{
		map textures/ut4_superman_b4/ugly_green.jpg
		blendFunc filter
		depthWrite
	}

	{
		map textures/ut4_superman_b4/ugly_green.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphagen portal 256
		rgbGen identityLighting	
	}

	{
		map textures/ut4_superman_b4/security_monitor.tga
		blendfunc blend
	}
}


textures/ut4_superman_b4/dead_monitor
{

	qer_editorimage textures/ut4_superman_b4/security_monitor.tga
	q3map_surfacelight 1400
//	surfaceparm nolightmap

	{
		map textures/ut4_superman_b4/ugly_green.jpg
		rgbgen identity
	}
	{
		map textures/ut4_superman_b4/static.tga
		tcmod rotate 180
		blendfunc filter
	}
	{
		map textures/ut4_superman_b4/static.tga
		tcmod scroll -4 -4
		blendfunc add
	}
	{
		map textures/ut4_superman_b4/security_monitor.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}



textures/ut4_superman_b4/stoplight_red
{
	qer_editorimage textures/ut4_superman_b4/streetlight_red.tga
	surfaceparm nolightmap

	{
		map textures/ut4_superman_b4/streetlight_red.tga
		rgbgen identity
	}
}

textures/ut4_superman_b4/stoplight_red_dim
{
	qer_editorimage textures/ut4_superman_b4/streetlight_red.tga

	{
		map textures/ut4_superman_b4/streetlight_red.tga
		rgbgen identity
	}

	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}

}


textures/ut4_superman_b4/stoplight_green
{
	qer_editorimage textures/ut4_superman_b4/streetlight_green.tga
	surfaceparm nolightmap

	{
		map textures/ut4_superman_b4/streetlight_green.tga
		rgbgen identity
	}
}


textures/ut4_superman_b4/stoplight_green_dim
{
	qer_editorimage textures/ut4_superman_b4/streetlight_green.tga

	{
		map textures/ut4_superman_b4/streetlight_green.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}

}


textures/ut4_superman_b4/stoplight_yellow
{
	qer_editorimage textures/ut4_superman_b4/streetlight_yellow.tga
	surfaceparm nolightmap

	{
		map textures/ut4_superman_b4/streetlight_yellow.tga
		rgbgen identity
	}
}


textures/ut4_superman_b4/stoplight_yellow_dim
{
	qer_editorimage textures/ut4_superman_b4/streetlight_yellow.tga

	{
		map textures/ut4_superman_b4/streetlight_yellow.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}

}


textures/ut4_superman_b4/duckpond_poster
{
	qer_editorimage textures/ut4_superman_b4/wily_duck_ad.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	nomipmaps
	{
		map textures/ut4_superman_b4/wily_duck_ad.tga
	}
}





textures/ut4_superman_b4/duck_noimpact
{
	qer_editorimage textures/common/nolightmap.tga
        surfaceparm nodamage
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm trans
	surfaceparm nonsolid
}


textures/ut4_superman_b4/watercaulk
{
qer_trans 0.40
qer_editorimage textures/ut4_superman_b4/watercaulk.tga
surfaceparm nodraw
surfaceparm nolightmap
surfaceparm nonsolid
surfaceparm trans
surfaceparm nomarks
surfaceparm water
surfaceparm nocarve

}


textures/ut4_superman_b4/ladderclip
{
	qer_editorimage textures/urban_terror/watercaulk.tga
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}



textures/ut4_superman_b4/ladder
{
        qer_editorimage textures/ut4_superman_b4/ladder.tga
    	surfaceparm trans
	surfaceparm alphashadow
	cull none
        nopicmip
	{
		map textures/ut4_superman_b4/ladder.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}



textures/ut4_superman_b4/blue_water1
{
	qer_editorimage textures/ut4_superman_b4/blue_water1.tga
	q3map_cloneshader textures/ut4_superman_b4/supersoldier_water_reglow_assist2
	qer_nocarve
	qer_trans 0.3
	surfaceparm noimpact
	surfaceparm water
	deformvertexes wave 1024 sin 0 1 0 .75
	tesssize 1024
	{
		map textures/ut4_superman_b4/blue_water1c.tga
		blendfunc filter
		tcMod scroll 0.03 0.03
		tcMod turb 1 0.1 1 0.025
	}

        {
		map textures/ut4_superman_b4/water_clouds.jpg
		blendfunc gl_one gl_dst_color
		tcMod scroll 0.02 0.01
		tcMod scale 0.5 0.5
        }


}



// stolen from supersoldier
textures/ut4_superman_b4/supersoldier_water_reglow2
{

	qer_editorimage textures/ut4_superman_b4/blue_water1.tga
	qer_trans 0.5
	surfaceparm trans
	deformvertexes wave 1024 sin 0 1 0 .75
	tesssize 1024
	{
		map textures/ut4_superman_b4/blue_water1.tga
		tcgen environment
		blendfunc gl_dst_color gl_zero
		tcMod turb 0 0.12 0.08 0.08
		tcmod scroll .01 .05
		tcmod scale .5 .5
	}

	{
		map textures/ut4_superman_b4/blue_water1c.tga
		tcmod scroll -0.01 -0.01
		blendfunc gl_dst_color gl_one
		tcmod scale .25 .25
	}
	{
		map textures/ut4_superman_b4/water_clouds.jpg
		tcMod scroll .01 -.015
		tcmod scale .1 .1
		blendfunc add
	}
	{
		map $lightmap 
		blendfunc filter
	}

}


// waves
textures/ut4_superman_b4/supersoldier_water_reglow_assist2
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_lightimage textures/ut4_superman_b4/blue_water1.tga
	q3map_surfacelight 1000
	q3map_invert
	{
		map textures/ut4_superman_b4/blue_water1c.tga
		tcMod scroll 0.01 0.1
		blendfunc filter
	}
	{
		map textures/ut4_superman_b4/blue_water1c.tga
		tcMod turb 0 0.1 0.05 0.05
		blendfunc filter
	}
        {
		map textures/ut4_superman_b4/water_clouds.jpg
		tcgen environment
		tcmod scale .25 .25
		tcmod scroll .001 .005
		blendfunc add
        }
	{
		map $lightmap 
		blendfunc filter
	}

}


textures/ut4_superman_b4/doom_glass
{
	qer_editorimage textures/ut4_superman_b4/duck_skybuildingtop1.tga
	surfaceparm nodamage
	{
		map textures/ut4_superman_b4/duck_skybuildingtop1.tga

	}
	{
		map $lightmap 
		blendfunc filter
	}
}



textures/ut4_superman_b4/metalfence
{
	qer_trans 0.70
	qer_editorimage textures/ut4_superman_b4/fence.tga
	surfaceparm trans
	surfaceparm alphashadow
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
	cull none

	{
		map textures/ut4_superman_b4/fence.tga
		alphafunc ge128
	}


}



textures/ut4_superman_b4/asphalt
{
	qer_editorimage textures/ut4_superman_b4/asphalt1.jpg

	{
		map textures/ut4_superman_b4/asphalt1.jpg
	}

	{
		map $lightmap 
		blendfunc filter
	}

}




textures/ut4_superman_b4/white_light
{
	qer_editorimage textures/ut4_superman_b4/white_light.jpg
	q3map_surfacelight 6000
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_superman_b4/white_light.jpg
		rgbGen identity
	}
}



textures/ut4_superman_b4/white_light_bright
{
	qer_editorimage textures/ut4_superman_b4/white_light.jpg
	q3map_surfacelight 5000
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_superman_b4/white_light.jpg
		rgbGen identity
	}
}



textures/ut4_superman_b4/yellow_streetbox
{
	qer_editorimage textures/ut4_superman_b4/streetlight_box.tga
	cull none

	{
		map textures/ut4_superman_b4/streetlight_box.tga
		rgbgen identity
	}

	{
		map $lightmap
		blendfunc filter
	}

}



textures/ut4_superman_b4/sign_mainst
{
	qer_editorimage textures/ut4_superman_b4/mainst1.jpg
	surfaceparm nolightmap
	{
		map textures/ut4_superman_b4/mainst1.jpg
	}
}


textures/ut4_superman_b4/sign_irwinave
{
	qer_editorimage textures/ut4_superman_b4/irwinave1.jpg
	surfaceparm nolightmap

	{
		map textures/ut4_superman_b4/irwinave1.jpg
	}


}



textures/ut4_superman_b4/sign_smithst
{
	qer_editorimage textures/ut4_superman_b4/smithst1.jpg
	surfaceparm nolightmap

	{
		map textures/ut4_superman_b4/smithst1.jpg
	}


}



textures/ut4_superman_b4/sign_andersonave
{
	qer_editorimage textures/ut4_superman_b4/andersonave1.jpg
	surfaceparm nolightmap

	{
		map textures/ut4_superman_b4/andersonave1.jpg
	}


}



textures/ut4_superman_b4/big_doom_sign
{
	qer_editorimage textures/ut4_superman_b4/impendingdoom2.tga
	surfaceparm nolightmap
	surfaceparm alphashadow
	surfaceparm trans

	{
		map textures/ut4_superman_b4/impendingdoom2.tga
		alphafunc ge128
	}

}





